Skip to main content
`Ctrl`+`K`

# PCISReset

Removes all the `PC_IS` parts of the `PC` implementation data structure

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCISReset(PC pc)

## Input Parameter

- pc - the `PC` object, must be of type `PCNN` or `PCBDDC`

## See Also

KSP: Linear System Solvers, `PCISSetUseStiffnessScaling()`, `PCISSetSubdomainDiagonalScaling()`, `PCISScatterArrayNToVecB()`, `PCISSetSubdomainScalingFactor()`, `PCISInitialize()`, `PCISApplySchur()`, `PCISApplyInvSchur()`

## Level

advanced

## Location

src/ksp/pc/impls/is/pcis.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages